Retrieve closed loop read

View as MarkdownOpen in Claude
Use this method to retrieve information that a payment device captured from a closed-loop card. A closed-loop card is a type of card that a customer can use only with a specific merchant. Each time a payment device captures information from a closed-loop card, we store the information as a closed-loop read. Our gateway returns the following information from a closed-loop read: - Date that the payment device captured the information. - Unstructured payload from the card.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

closedLoopReadIdstringRequired=10 characters

Unique identifier that we assigned to the closed-loop read.

Response

Successful request. Returns information from the closed-loop card.

processingTerminalIdstring
Unique identifier that we assigned to the terminal.
closedLoopReadIdstring

Unique identifier that we assigned to the closed-loop read.

readDatedate

Date that the payment device read the closed-loop card. Our gateway returns this value in YYYY-MM-DD format.

dataobject
Unstructured payload from the card.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
406
Not Acceptable Error
500
Internal Server Error